xine-lib: XineOpenGLView Class Reference

xine-lib 1.2.13-20230125hg15249

Instance Methods | Class Methods | Private Attributes
XineOpenGLView Class Reference

`#include <XineOpenGLView.h>`

Inheritance diagram for XineOpenGLView:

## Instance Methods
(id) | - initWithCoder:
(id) | - initWithFrame:
(id) | - initWithFrame:pixelFormat:
(void) | - dealloc
(void) | - encodeWithCoder:
(NSOpenGLContext *) | - openGLContext
(void) | - prepareOpenGL
(void) | - reshape
(void) | - update
(void) | - initTextures
(void) | - updateTexture
(void) | - drawRect:
(NSColor *) | - initialColor
(void) | - setInitialColor:
(void) | - setNormalSize
(void) | - setHalfSize
(void) | - setDoubleSize
(NSSize) | - videoSize
(BOOL) | - keepsVideoAspectRatio
(void) | - setKeepsVideoAspectRatio:
(BOOL) | - resizeViewOnVideoSizeChange
(void) | - setResizeViewOnVideoSizeChange:
(void) | - setViewSize:
(void) | - setViewSizeInMainThread:
(NSCursor *) | - currentCursor
(void) | - setCurrentCursor:
(BOOL) | - isFullScreen
(void) | - goFullScreen:
(void) | - exitFullScreen
(id) | - delegate
(void) | - setDelegate:
(id) | - xineController
(void) | - setXineController:
(BOOL) | - acceptsFirstResponder
(BOOL) | - mouseDownCanMoveWindow
(char *) | - textureBuffer
(void) | - setVideoSize:
(void) | - resetCursorRects
(void) | - resetCursorRectsInMainThread
(void) | - calcFullScreenAspect
(void) | - releaseInMainThread
(void) | - passEventToDelegate:withSelector:
(BOOL) | - acceptsFirstResponder
(BOOL) | - mouseDownCanMoveWindow

## Class Methods
(NSOpenGLPixelFormat *) | + defaultPixelFormat
(NSOpenGLPixelFormat *) | + fullScreenPixelFormat

## Private Attributes
IBOutlet id< NSObject, XineOpenGLViewDelegate > | delegate
IBOutlet id< NSObject, XineOpenGLViewDelegate > | controller
NSRecursiveLock * | mutex
BOOL | initDone
NSSize | videoSize
char * | textureBuffer
GLuint | texture
BOOL | keepsVideoAspectRatio
BOOL | resizeViewOnVideoSizeChange
NSCursor * | currentCursor
NSColor * | initialColor
unsigned int | initialColorYUV
BOOL | initialColorYUVIsSet
BOOL | isFullScreen
BOOL | isFullScreenPrepared
XineVideoWindowFullScreenMode | fullScreenMode
NSOpenGLContext * | fullScreenContext

## Method Documentation

## ◆ acceptsFirstResponder [1/2]

- (BOOL) acceptsFirstResponder |  |  |

References COMPUTE_U, COMPUTE_V, COMPUTE_Y, init_yuv_conversion(), and v.

## ◆ acceptsFirstResponder [2/2]

- (BOOL) acceptsFirstResponder |  |  |

## ◆ calcFullScreenAspect

- (void) calcFullScreenAspect |  |  |

## ◆ currentCursor

- (NSCursor *) currentCursor |  |  |

## ◆ dealloc

- (void) dealloc |  |  |

## ◆ defaultPixelFormat

+ (NSOpenGLPixelFormat *) defaultPixelFormat |  |  |

## ◆ delegate

- (id) delegate |  |  |

## ◆ drawRect:

- (void) drawRect: |  | (NSRect) | rect |

## ◆ encodeWithCoder:

- (void) encodeWithCoder: |  | (NSCoder *) | coder |

## ◆ exitFullScreen

- (void) exitFullScreen |  |  |

## ◆ fullScreenPixelFormat

+ (NSOpenGLPixelFormat *) fullScreenPixelFormat |  |  |

## ◆ goFullScreen:

- (void) goFullScreen: |  | (XineVideoWindowFullScreenMode) | mode |

## ◆ initialColor

- (NSColor *) initialColor |  |  |

## ◆ initTextures

- (void) initTextures |  |  |

## ◆ initWithCoder:

- (id) initWithCoder: |  | (NSCoder *) | coder |

## ◆ initWithFrame:

- (id) initWithFrame: |  | (NSRect) | frame |

## ◆ initWithFrame:pixelFormat:

- (id) initWithFrame: |  | (NSRect) | frame
pixelFormat: |  | (NSOpenGLPixelFormat *) | pixelFormat

## ◆ isFullScreen

- (BOOL) isFullScreen |  |  |

## ◆ keepsVideoAspectRatio

- (BOOL) keepsVideoAspectRatio |  |  |

## ◆ mouseDownCanMoveWindow [1/2]

- (BOOL) mouseDownCanMoveWindow |  |  |

## ◆ mouseDownCanMoveWindow [2/2]

- (BOOL) mouseDownCanMoveWindow |  |  |

## ◆ openGLContext

- (NSOpenGLContext *) openGLContext |  |  |

## ◆ passEventToDelegate:withSelector:

- (void) passEventToDelegate: |  | (NSEvent *) | theEvent
withSelector: |  | (SEL) | selector

## ◆ prepareOpenGL

- (void) prepareOpenGL |  |  |

## ◆ releaseInMainThread

- (void) releaseInMainThread |  |  |

## ◆ resetCursorRects

- (void) resetCursorRects |  |  |

## ◆ resetCursorRectsInMainThread

- (void) resetCursorRectsInMainThread |  |  |

## ◆ reshape

- (void) reshape |  |  |

## ◆ resizeViewOnVideoSizeChange

- (BOOL) resizeViewOnVideoSizeChange |  |  |

## ◆ setCurrentCursor:

- (void) setCurrentCursor: |  | (NSCursor *) | cursor |

## ◆ setDelegate:

- (void) setDelegate: |  | (id) | aDelegate |

## ◆ setDoubleSize

- (void) setDoubleSize |  |  |

## ◆ setHalfSize

- (void) setHalfSize |  |  |

## ◆ setInitialColor:

- (void) setInitialColor: |  | (NSColor *) | color |

## ◆ setKeepsVideoAspectRatio:

- (void) setKeepsVideoAspectRatio: |  | (BOOL) | flag |

## ◆ setNormalSize

- (void) setNormalSize |  |  |

## ◆ setResizeViewOnVideoSizeChange:

- (void) setResizeViewOnVideoSizeChange: |  | (BOOL) | flag |

## ◆ setVideoSize:

- (void) setVideoSize: |  | (NSSize) | size |

## ◆ setViewSize:

- (void) setViewSize: |  | (NSValue *) | sizeWrapper |

## ◆ setViewSizeInMainThread:

- (void) setViewSizeInMainThread: |  | (NSSize) | size |

## ◆ setXineController:

- (void) setXineController: |  | (id) | aController |

## ◆ textureBuffer

- (char *) textureBuffer |  |  |

## ◆ update

- (void) update |  |  |

## ◆ updateTexture

- (void) updateTexture |  |  |

## ◆ videoSize

- (NSSize) videoSize |  |  |

## ◆ xineController

- (id) xineController |  |  |

## Field Documentation

## ◆ controller

- (IBOutlet id<NSObject, XineOpenGLViewDelegate>) controller
| private

## ◆ currentCursor

- (NSCursor *) currentCursor
| private

## ◆ delegate

- (id) delegate
| private

## ◆ fullScreenContext

- (NSOpenGLContext*) fullScreenContext
| private

## ◆ fullScreenMode

- (XineVideoWindowFullScreenMode) fullScreenMode
| private

## ◆ initDone

- (BOOL) initDone
| private

## ◆ initialColor

- (NSColor *) initialColor
| private

## ◆ initialColorYUV

- (unsigned int) initialColorYUV
| private

## ◆ initialColorYUVIsSet

- (BOOL) initialColorYUVIsSet
| private

## ◆ isFullScreen

- (BOOL) isFullScreen
| private

## ◆ isFullScreenPrepared

- (BOOL) isFullScreenPrepared
| private

## ◆ keepsVideoAspectRatio

- (BOOL) keepsVideoAspectRatio
| private

## ◆ mutex

- (NSRecursiveLock*) mutex
| private

## ◆ resizeViewOnVideoSizeChange

- (BOOL) resizeViewOnVideoSizeChange
| private

## ◆ texture

- (GLuint) texture
| private

## ◆ textureBuffer

- (char *) textureBuffer
| private

## ◆ videoSize

- (NSSize) videoSize
| private

The documentation for this class was generated from the following files:

- xine-lib-1.2.13/src/video_out/macosx/XineOpenGLView.h
- xine-lib-1.2.13/src/video_out/macosx/XineOpenGLView.m